Access Telnet

To Telnet to the device's configuration menu:

  1. From the list of devices, select the device you want to configure.

  2. Click the Telnet Configuration tab. The Telnet configuration screen displays.

  3. Verify that the IP address and Telnet port display at the top.

  4. Click the Connect button. The Telnet user interface displays.

  5. Within 15 seconds, enter your user ID and password for the device and press Enter.

  6. Consult the device's User Guide for configuration instructions.

See also

Access the Web Interface


Access the Web Interface

To access the web interface to configure a device that has a web page:

  1. From the list of devices, select the device you want to configure.

  2. Click the Web Configuration tab. The Web Configuration page displays. The device's IP address is at the top.

  3. You have two options:

    • To use the DeviceInstaller browser, click the Go button. The device's home page displays.

Note: Use the arrow buttons to navigate through the browser.

    • To use an external browser (Internet Explorer), click the Use External Browser. The device's home page displays in Internet Explorer.

  4. Consult the device's User Guide for configuration instructions.

See also

Access Telnet


Add a Device to the List

As an alternative to using the Search tool to add devices to the device list, add individual devices manually to the list.

To add a device to the list manually:

  1. From the Device menu, select Add Device. The Add Device window displays.

  2. Enter the IP address for the device and click OK. DeviceInstaller searches for the device. Upon connection to the device, DeviceInstaller adds it to the device list. A message displays if DeviceInstaller does not find the device.

See also

Overview

Search for All Device Servers on the Network


Auto IP Addresses

If DeviceInstaller reported an Auto IP address issue, your PC is configured to obtain an IP address automatically from a server on the network. If Windows does not obtain an IP address, it defaults to an Auto-Configuration IP Address. DeviceInstaller is not be able to assign an IP address to your Lantronix device if your PC is using an Auto-Configuration IP address.

To check whether your PC is using an Auto-Configuration IP address in Windows 2000 or XP:

  1. Click Start and select Run.

  2. At the Open prompt, type cmd. A command window opens.

  3. At the command window, type ipconfig. Your Windows TCP/IP configuration displays.

To check your PC’s current IP configuration on Windows 98:

  1. Click Start and select Run.

  2. At the Open prompt, type command. A command window opens.

  3. At the command window, type ipconfig. Your Windows TCP/IP configuration displays.

To resolve the issue:

If your PC is using an Auto-Configuration IP address, it has an IP address like 169.254.XXX.XXX, where the X’s are randomly chosen numbers. Notice that the first two octets of the IP address are 169.254, indicating an Auto-Configuration IP address.

To resolve this issue, configure your PC with a static IP address. For more information on configuring a static IP address in Windows, see the Windows help files. You can access the Windows help files by clicking the Windows Start button and selecting Help. Search in Windows help for static IP addresses.

See Also

TCP/IP Tutorial Overview

Subnets


Change Views

You can view device information in different ways.

To change how devices are identified in the device tree (left pane):

  1. You have three options:

    • To identify devices by hardware address, on the View menu, click Device Node Text>Hardware Address. This is the default.

    • To identify devices by IP address, on the View menu, click Device Node Text>IP Address.

    • To identify devices by name only, on the View menu, click Device Node Text>Name.

  2. To confirm a change for all devices, select Expand All from the View menu.

To change how devices display in the device list (right pane):

  1. You have two options:

    • To display device details, on the View menu, click Device List>Details. This is the default.

    • To display devices as icons, on the View menu, click Device List >Icons.

Note: When you click an icon, device details display in the right pane and the device expands in the hierarchy in the left pane.

See also

Search for All Device Servers on the Network

View Device Details


Check Device Diagnostics

To determine whether a device is online and the network is functional, use the DeviceInstaller Ping option. This option ensures the device is operating and also determines the speed of a response from the device.

To ping a device:

  1. Select the device.

  2. From the Tools menu, select Ping. The Ping Device window displays.

  3. In the IP Address box, enter the IP address of the device.

  4. Click Ping. After several moments, the Status area displays the ping results.

  5. To ping another device, select Clear Status to clear the Status area before entering another IP address.

  6. To exit, click Close.

See also

Add a Device to the List


Choose the Network Adapter for Communication

By default, the primary adapter used by Windows is the network adapter used for communication with devices on the network.

To select a different adapter:

  1. From the Tools menu, select Options. The Options window opens, displaying the list of available adapters.

  2. Select the adapter by clicking its checkbox, and click Apply.

  3. To exit, click OK.

See also

Search for All Device Servers on the Network


Configuration Update

Update the configuration settings on one or more gateways using a file. There are two ways to apply configuration updates to the selected gateways:

  • Batch Configuration Update - Update selected gateways with a single file. This method applies the same configuration settings to all gateways using one file.

  • Per Device Configuration Update - Update selected gateways with gateway-specific files. This method applies a different configuration record to each gateway using files that follow a "<baseName><serialNumber>.xml" file naming convention. The "baseName" is a user-specified value, such as the gateway model name.

Refer to the gateway specific user guide for details on the XML configuration syntax. When importing the configuration, you can import a partial XCR, there is no need to import the entire XCR.

Before starting the configuration update, create and save a valid configuration file. If using the per device configuration update method, all configuration files must be located in the same folder.

When updating configuration, DeviceInstaller will attempt to log into each selected gateway using the login values specified by the global credentials. You should set the global login credentials, and also set the behavior that DeviceInstaller will follow if the login attempt fails. See Enter Global Credentials.

To set the IP address of the device automatically:

  1. From the device list, select the device or devices.

  2. From the Tools menu, select Config Update.

  3. Select the configuration method:

    1. Batch Configuration Update

    2. Per Device Configuration Update

  4. If Batch Configuration Update was selected, click Browse and select the configuration file.

    1. Click Apply to start the configuration update.

    2. A dialog box displays the progress and the hardware address of the gateway being configured. You may be prompted to enter the gateway login credentials. Enter the gateway username and password and click OK.

  5. If Per Device Configuration Update was selected, type a Base Name and then click Browse to select the folder where the configuration files are located.

    1. Click Apply to start the configuration update.

    2. A dialog box displays the progress and the hardware address of the gateway being configured. You may be prompted to enter the gateway login credentials. Enter the gateway username and password and click OK.

See also

Set IP Address Manually

Enter a Password (if applicable)

TCP/IP Tutorial Overview

Check Device Diagnostics


Customize_logging

You can customize the unit's logging features, including when to activate logging, how to change log file size, and how to view logs.

To customize logging:

  1. From the Tools menu, select Options. The Options window displays.

  2. Click the Customization tab.

  3. In the Log File section, specify the following information:

Activate logging during upgrading. | If you select this option, logging occurs while you are upgrading the unit.
Activate logging during searching. | If you select this option, logging occurs while you search for devices.
Log File | If you selected to activate logging, enter or browse to a location on your system for naming and saving the log file.
Max File Size | The maximum number of bytes (in increments of megabytes). When the file reaches this limit, the first half of the file is removed; the latter half is retained.
Viewing Program | Enter or browse to a program such as NotePad for viewing the contents of the log file.

  4. Click Apply to save and leave the window open.

  5. Click OK to save and close the window.

See also

Check Device Diagnostics


Customize Reboots

You can specify settings for the reboot process.

To enable the reset command and display it in the Device menu:

  1. From the Tools menu, select Options. The Options window displays.

  2. Click the Customization tab.

  3. In the lower part of the window, select Enable reset commands and allow them to be shown as menu items.

  4. Click Apply to save and leave the window open.

  5. Click OK to save and close the window.

To set reboot wait times:

  1. From the Tools menu, select Options. The Options window displays.

  2. Click the Customization tab.

  3. In the lower part of the window, specify the following:

Device reboot wait time (Unicast) | Select the number of seconds the unit should unicast messages while waiting for a reboot. The unit attempts a series of unicasts before broadcasting.
Device reboot wait time (Broadcast) | Select the number of seconds the unit should broadcast messages while waiting for a reboot. The unit attempts a series of broadcasts after completing unicasts.

  4. Click Apply to save and leave the window open.

  5. Click OK to save and close the window.

Note: After rebooting, search again for other devices on the network.

See also

Reset


Customize the Category Name

You can include the device version in the name, for example, XPort (R3) - firmware v6.1.0.0.

To include the device version:

  1. From the Tools menu, select Options. The Options window displays.

  2. Click the Customization tab.

  3. In the lower section of the window, select Use the Device version as part of the device category name.

  4. Click Apply to save and leave the window open.

  5. Click OK to save and close the window.

See also

Add a Device to the List


Display a Warning

DeviceInstaller can display a warning when you open a saved search and a device on the list is no longer online.

To display a warning:

  1. From the Tools menu, select Options. The Options window displays.

  2. Click the Customization tab.

  3. In the bottom section of the window, select Display a warning when devices are not found when importing from a file.

  4. Click Apply to save and leave the window open.

  5. Click OK to save and close the window.

See also

Search for All Device Servers on the Network

Open the Device List


Enter a Password (if applicable)

Enter User ID and Password (if applicable)

A device may have been configured to require a user ID and password to set the IP address.

To enter a username and password:

  1. Enter your user ID and password for the specific device.

  2. Refer to the documentation for the device for information on how to change passwords.

  3. Click the Next button. The Assignment page displays.

See also

Set IP Address Manually

Set IP Address Automatically


Enter Global Credentials

You can configure the username and password that DeviceInstaller uses to attempt to log into the gateways, as well as what action it follows if the login attempt fails. You can specify that DeviceInstaller either skip the device or display a login prompt for the device.

To configure the global credentials:

  1. From the Tools menu, select Enter Global Credentials.

  2. Enter the gateway credentials for login.

  3. Next, indicate what action to take when the login attempt fails. Select either to skip the device or to prompt with a dialog box to enter login credentials manually.

  4. Click OK.

See also

Enter Global Credentials


Generate Device File

You can use DeviceInstaller to generate a file containing a list of devices that facilitates importing multiple devices into the cloud management service. The device file contains a comma separated list of one or more devices of a single gateway type.

When adding gateways to the device file, DeviceInstaller will attempt to log into each selected gateway using the login values specified by the global credentials. You should set the global login credentials, and also set the behavior that DeviceInstaller will follow if the login attempt fails. See Enter Global Credentials to configure the gateway login credentials.

To generate a device file:

  1. From the device list, select one or more devices. They must be of the same gateway type.

  2. Click Generate Device File.

    • Wait while DeviceInstaller generates the device file. DeviceInstaller displays a dialog box that lists the number of devices to be included and a progress bar. If the global credentials do not match the gateway’s login values and “Prompt with a dialog box to login” was selected in the global credentials, a second dialog box will be displayed for you to enter the gateway’s login credentials.

  3. Click Download to save the device file.

  4. Select the folder location for the file. DeviceInstaller uses the following file naming convention to name the device file: “AddDeviceList_YYYY_MM_DD_hh.mm.ss.TDI”.

See also

Enter Global Credentials

Import Provisioning File


Import Provisioning File

You can program a group of gateway devices that are not provisioned for the cloud management service using a provisioning file generated by the cloud service. When provisioning the devices, you can also enable or disable the MACH10 client state as well as firmware updates and configuration updates.

When provisioning gateways, DeviceInstaller will attempt to log into each selected gateway using the login values specified by the global credentials. You should set the global login credentials, and also set the behavior that DeviceInstaller will follow if the login attempt fails. See Enter Global Credentials to configure the gateway login credentials.

To set the IP address of the device automatically:

  1. From the device list, select the device or devices.

  2. Click Import Provisioning File.

  3. Select the checkboxes to enable MACH10 client settings. Clear the checkboxes to disable the settings:

    1. Enable MACH10 Client State

    2. Apply Configuration Update

    3. Apply Firmware Update

  4. Click Browse to select the provisioning file. (.EDI file extension)

  5. Click Update.

    • Wait while DeviceInstaller provisions the gateway(s). You may be prompted to enter the gateway's login credentials. After provisioning the devices, DeviceInstaller also generates a device file that you can use to import the devices into the cloud service.

  6. Click Download to save the device file. DeviceInstaller uses the following file naming convention to name the device file: "AddDeviceList_YYYY_MM_DD_hh.mm.ss.TDI".

See also

Enter Global Credentials


Install Setup Records

You can install previously saved setup records to upgrade the device.

To install setup records:

  1. Select the device from the device list.

  2. Select Upgrade from the Device menu or click the Upgrade icon [image]. The Device Upgrade Wizard window displays.

  3. Select the Create a custom installation by specifying individual files and click Next. The Device Upgrade Wizard prompts for the type of files to add.

Note: Some Lantronix products do not offer these options.

  4. Select Install setup records from a file.

  5. Click Browse to locate the setup record and click Next.

  6. (Optional) To save the installation as a Lantronix installation file (.lxi), click Save Installation.

  7. Click Next to continue the installation, or click Cancel to exit without the actual device upgrade.

  8. If you continue the installation, the Device Upgrade Wizard window displays the status and result of the upgrade.

Note: Green indicates a successful installation; blue indicates that the IP address has changed.

  9. Click Close.

See also

Upgrade Using Individual Files

Save Setup Records

View Setup Records


Open the Device List

To open a previously stored list of devices:

  1. From the File menu, click Open.

  2. Find the location of the stored device file list (in text format).

  3. Highlight the file name and click Open. The list of devices displays in the DeviceInstaller window.

Note: If DeviceInstaller does not find a device listed in the text file, a message displays.

  4. To close the list, select New from the File menu.

See also

Save the Device List

Print the Device List


Overview

The DeviceInstaller is an all-in-one utility for detecting various Lantronix devices (device servers) on a network. You can view current device parameters and make more devices available for viewing.

Note: For DeviceInstaller procedures specific to a device, please see the device's User Guide.

See also

Search for All Device Servers on the Network

Add a Device Server to the List

View Device Details


Print the Device List

To print the current list of devices displayed:

  1. Open the device list.

  2. (Optional) To preview the list before printing, select Print Preview from the File Menu. Click Close to exit.

  3. From the File menu, select Print.

See also

Open the Device List

Save the Device List


Recover Firmware

In the event of a failure, the Recover option allows for firmware installation through the serial port instead of the network.

Note: Not all devices support the recovery feature. A drop-down list displays the supported devices. Ensure the firmware is the correct type before installing it over the serial port.

To install firmware over the serial port:

  1. From the Tools menu, select Advanced-->Recover Firmware. The Serial Port Firmware Upgrade window displays.

  2. Power off the device. Connect a serial cable from the PC running the DeviceInstaller to the primary serial port on the device.

  3. From the Serial Port Firmware Upgrade window, choose the PC port from the Port on PC drop-down menu.

  4. Select a device type from the Device Model drop-down menu.

  5. Locate the firmware file on the PC by clicking Browse.

  6. From the Files of type drop-down menu, select the type of the firmware file. Available file types are ROM (.rom), serial program binary (.spb), or serial download binary (.sdb).

  7. Click Open. The file's path displays in the Firmware File field.

Note: Serial download binary (.sdb) files download the file temporarily into RAM. The previous firmware is restored upon reset.

  8. Click OK. The status bar in the DeviceInstaller window indicates the progress of the firmware upgrade. A confirmation box displays when the upgrade is complete.

Note: The status bar may prompt to reset the device. If this occurs, reset or toggle the power on the unit to continue with the firmware upgrade.

See also

Upgrade Firmware Overview


Reset

Warning: Reset is a dangerous capability and is best used by power users only.

The reset option is unavailable by default. To enable the reset option, see Customize Reboots.

To reset a device:

  1. Select the device in the menu tree or Device List.

  2. From the Device menu, select Reset.

Note: After resetting the device, perform a new search to locate all the devices on the network.

See also

Customize Reboots

Search for All Device Servers on the Network


Save Setup Records

You can save setup records for updating regions of flash memory on the unit. This option is not enabled if the device does not support this capability.

To save setup records:

  1. On the device list, select the device.

  2. On the File menu, select Save Setup Records. The Save Setup Records window displays.

  3. Select as many records as desired and click Save. The Save As window displays. Some setup records are unavailable.

  4. Save the setup record and name it as desired.. (You must save the records one at a time.)

See also

View Setup Record

Install Setup Records


Save the Device List

You can save the list of devices as a text file and restore it for later use. The text file includes the following information:

  • Device Name

  • Group

  • Comments

  • IP Address for the device

Note: The configuration of the devices in the list is not stored.

To save the device list:

  1. From the File menu, select Save or Save As.

  2. Locate the directory where you want you want to save the file.

  3. If desired, replace the default File name (Devices1) with another name.

  4. Click Save.

See also

Open the Device List

Print the Device List


Search for All Device Servers on the Network

Search for All Devices on the Network

You can search for all Lantronix devices within the local area network.

To find and list all Lantronix devices:

Note: If your PC has more than one network adapter, you can select the one you want using Options on the Tools menu.. All network communication uses whichever adapter you select.

  1. Click the Search icon [image] on the toolbar. It may take several seconds for the list of devices to display in the device list.

Devices that do not have an IP address assigned or are configured for a different network display in red. You must assign an IP address to the device to use it.

To clear the device list:

  1. From the File menu, select New. The device list is cleared.

See also

Overview

Add a Device Server to the List

View Device Details

Display a Warning


Set IP Address Automatically

You can specify the method by which the device obtains its network settings. If you are not familiar with the specific protocols, we recommend you accept the default options.

To set the IP address of the device automatically:

  1. From the device list, select the device.

  2. On the toolbar, click Assign IP [image]. The Assign IP Address window displays.

Note: The Device Identification window prompts for the device's hardware address if a device was not selected in the previous step. Enter the hardware address from the product label and click Next.

  3. Select Obtain an IP address automatically. Click Next. The IP Discovery Settings page displays.

  4. Select the network protocol for searching and obtaining the IP address and click Next. The Assignment page displays.

Note: Not all device models support all methods, so some options may be disabled for your particular device.

  5. Click the Assign button to assign the IP address to the device. A message indicates when the assignment is complete.

  6. To exit, click the Finish button. If the device has been configured to require a username and password to set the IP address, the Password Required page displays.

See also

Set IP Address Manually

Enter a Password (if applicable)

TCP/IP Tutorial Overview

Check Device Diagnostics


Set IP Address Manually

You can set the IP address of a device on the list or identify a device not on the list and set its IP address.

To set the IP Address of a Device:

  1. From the device list, select the device.

  2. On the toolbar, click Assign IP [image]. The Assign IP Address window displays.

Note: The Device Identification window prompts for the device's hardware address if a device was not selected in the previous step. Enter the hardware address from the product label and click Next.

  3. On the Assignment Method page, select Assign a specific IP address and click Next. The IP Settings window displays.

  4. Enter the following information:

IP address | An IP address that will be unique and valid on your network. There is no default. Note: Enter the IP address in dot-quad notation. Do not use leading zeros in the fields for dot-quad numbers less than 100. For example, if your IP address is 172.19.201.28, do not enter 028 for the last segment.
Subnet mask | The network segment on which the device resides. There is no default. The subnet mask displays automatically based on the IP address you entered, but you can change it.
Default gateway | IP address of the router for this network.

  5. Click Next. The Assignment page displays.

  6. Click Assign to assign the IP address to the device. A status message indicates when the assignment is complete.

  7. To exit, click Finish.

See also

Set IP Address Automatically

Enter a Password (if applicable)

TCP/IP Tutorial Overview

Check Device Diagnostics


Subnets

If DeviceInstaller reported a subnet issue with your PC, it is because the PC’s IP address and the IP address you are trying to assign to your Lantronix device are on different subnets. The IP addresses of the device and the PC running DeviceInstaller must be on the same Local Area Network and subnet.

For DeviceInstaller to successfully assign an IP address to your Lantronix device:

  • Your PC’s IP address and the address you want to assign to your Lantronix device must be on the same subnet.

  • No routers or gateways can exist between your PC and your Lantronix device. DeviceInstaller does not support assigning an IP address across a router or gateway.

To resolve this issue, configure your PC with a static IP address on the same subnet as the address you are assigning to your device. For information on configuring a static IP address in Windows, see the Windows help files. You can access Windows help files by clicking the Windows Start button and selecting Help. Search in Windows help for static IP address.

WARNING: Before you change the network settings on your PC, be sure to write them down so you can restore the settings after assigning an IP address to your device.

IP Addresses and Subnetting

To understand why DeviceInstaller is failing and how to resolve this issue, you must have some general knowledge of TCP/IP and subnetting.

IP addresses are separated into network classes. Network classes are also known as subnet classes. The letters A, B and C denote the subnet/network classes. An IP address is made up of four octets, each separated by a decimal point, as shown below:

AAA.BBB.CCC.DDD

A’s = First Octet

B’s = Second Octet

C’s = Third Octet

D’s = Fourth Octet

To check your PC’s current IP configuration on Windows 2000 or XP:

  1. Click Start --> Run.

  2. At the Open prompt, type cmd. A command window opens.

  3. At the command window, type ipconfig. Your Windows TCP/IP configuration displays.

To check your PC’s current IP configuration on Windows 98:

  1. Click Start --> Run.

  2. At the Open prompt, type command. A command window opens.

  3. At the command window, type ipconfig. Your Windows TCP/IP configuration displays.

Class A Subnets and Addresses

Class A networks use a subnet mask of 255.0.0.0. This subnet mask indicates that the first octet in each IP address on the network must be the same number. This allows network devices to communicate on the Local Area Network (LAN).

If your PC is on a class A network (meaning it’s using a subnet mask of 255.0.0.0), the first octet of your PC’s IP address and the first octet of the IP Address you are assigning to your Lantronix device must be the same number.

Class A Example

Your PC is configured with the IP and subnet mask below:

10.100.110.120 – IP Address

255.0.0.0 – Subnet Mask

Your Lantronix device must be assigned an IP that is:

10.xxx.xxx.xxx

where the x’s are an available IP address on the network.

Class B Networks and Addresses

Class B networks use a subnet mask of 255.255.0.0. This subnet mask indicates the first and second octet in each IP address on the network must be the same. This allows network devices to communicate on the LAN.

If your PC is on a class B network (meaning it’s using a subnet mask of 255.255.0.0), the first and second octets of your PC’s IP address and the first and second octet of the IP address you are assigning to your Lantronix device must be the same numbers.

Class B Example

PC running DeviceInstaller is configured with the IP and subnet mask below:

172.16.224.55 – IP Address

255.255.0.0 – Subnet Mask

To successfully assign an IP address to a Lantronix device, the IP assigned must be:

172.16.xxx.xxx

where the x’s are an available IP address on the network.

Class C Networks and Addresses

Class C networks use a subnet mask of 255.255.255.0. This subnet mask indicates the first, second and third octet in each IP address on the network must be the same. This allows network devices to communicate on the LAN.

If your PC is on a class C network (meaning it is using a subnet mask of 255.255.255.0), the first, second and third octets of your PC’s IP address and the first, second, and third octets of the IP address you are assigning to your Lantronix device must be the same numbers.

Class C Example

A PC running DeviceInstaller is configured with the IP and subnet mask below:

192.168.12.155 – IP Address

255.255.255.0 – Subnet Mask

To successfully assign an IP address to a Lantronix device, the IP assigned must be:

192.168.12.xxx

where the X’s are an available IP address on the network.

Complex Subnet Masks

Your PC is configured with a complex subnet mask if it is configured for a subnet mask other than three listed below:

255.0.0.0

255.255.0.0

255.255.255.0

In this case, we recommend you download a freeware TCP/IP subnet calculator. To locate a freeware subnet calculator, go to www.google.com and search for freeware subnet calculator. The subnet calculator will help ensure you assign a correct IP address to your Lantronix device.

See Also

TCP/IP Tutorial Overview

Auto IP Addresses


TCP/IP Tutorial Overview

This tutorial is designed to provide the user with enough information to resolve a problem being experienced with DeviceInstaller. For more detailed information on the TCP/IP protocol, please go to www.google.com and search for RFC791, RFC950, or TCP/IP.

To further assist you in assigning an IP address to your Lantronix device, you can download a freeware subnet calculator from the Internet. To locate a freeware subnet calculator, go to www.google.com and search for freeware subnet calculator.

To submit feedback regarding this tutorial, please log onto www.lantronix.com/support and submit a technical support e-mail.

All IP addresses and subnet masks used in this tutorial are examples. To obtain an IP address to assign to your device, please contact your network administrator.

See Also

Subnets

Auto IP Address


Upgrade Firmware Overview

You can use DeviceInstaller to upgrade firmware on a device. There are two ways to upgrade the firmware: by using an existing Installer file or by specifying individual files. You can upgrade multiple devices of the same type and firmware with the same file.

An installer file (.lxi) is created when installation settings are saved. The individual files are stored in the .lxi file for later use.

See also

Upgrade Using an Existing Installation File

Upgrade Using Individual Files


Upgrade Using an Existing Installation File

To use this option, there must be a pre-existing installation (.lxi) file.

To upgrade the firmware on a device:

  1. Select the device in the device list.

Note: To upgrade multiple devices of the same type and firmware with the same file, select the devices from the device list.

  2. Select Upgrade from the Device menu or click the Upgrade icon [image]. The device upgrade Wizard window displays.

  3. To upgrade using an existing installation file, select Use a specific Installation file.

  4. Click Browse to open the Select Installation File window. Locate the correct Lantronix Installer file (.lxi) and click Open to set the file location path in the Device Upgrade Wizard window.

  5. Click Next to proceed with the upgrade. The Device Upgrade Wizard window displays the status and result of the upgrade.

Note: Green indicates a successful installation; blue indicates that the IP address has changed.

  3. When the upgrade is complete, click Close to exit.

See also

Upgrade Firmware Overview

Upgrade Using Individual Files


Upgrade Using Individual Files

The following table details devices that may upgrade using individual files and the file types required. A .rom file is the device’s firmware file. A .fwx is a firmware extension file. A .cob file contains the data for the device’s web pages.

Device | Upgrade
XPort | xxxx.rom, xxxx.cob
WiPort | xxxx.rom, xxxx.fwx, xxxx.cob
WiBox | xxxx.rom, xxxx.fwx, xxxx.cob
UDS | xxxx.rom, xxxx.cob
CoBox-FL | xxxx.rom, xxxx.cob
SDS | xxxx.rom, xxxx.cob
XPress | xxxx.rom, xxxx.cob

To create a custom installation:

  1. Select the device from the device list.

Note: To upgrade multiple devices of the same type and firmware with the same files, select the devices from the device list.

  2. Click Device>Upgrade or click the Upgrade icon [image]. The Device Upgrade Wizard window displays.

  3. Select the Create a custom installation by specifying individual files and click Next.

  4. (Optional) To download the latest ROM file, click the Would you like to check the Lantronix Website for the latest firmware? button.

  5. Click Browse under the Firmware (ROM) File field to open the Select ROM Firmware File window. Locate the appropriate file and click Open to set the file location path in the Device Upgrade Wizard window.

Notes:

  • For WiPort devices, repeat the previous step for setting the file location of the appropriate Firmware Extension File (.fwx) by clicking Browse under the Firmware Extension (FWX) File field.

  • If you obtain an intermediate .rom file, select the Intermediate Firmware File Needed? checkbox.

  5. To use the existing .rom and .fwx files, leave these fields blank.

  6. Click Next. The Device Upgrade Wizard prompts for the type of files to add.

Note: For some products, these options are not available.

  5. Select one of the following options and click Next:

  • No Other Files to Install (Typical) to continue the upgrade without loading any .cob or individual files.

  • Install files individually to add files in their raw form.

  • Install files contained in COB partitions to add files in the form of .cob partitions.

  • Install setup records from a file to install previously saved setup records.

To install files Individually:

  1. You have the following options:

  • To install individual files, click Add Files and select the set of files.

  • To remove a file scheduled for installation, select the filename and click Remove.

  • To change the file location on the device, select the filename and click Change Path.

  2. Click Next. The Device Upgrade Wizard window displays the status and result of the upgrade

Note: Green indicates a successful installation; blue indicates that the IP address has changed.

  2. When the upgrade is complete, select Close to exit.

To install files contained in .cob partitions (Web-Manager files):

  1. You have the following options:

  • To set a file partition, highlight the partition in the displayed list and click Set Partition. The Select COB Archive File window displays; locate the appropriate .cob file and click Open. The files in a partition display in the list.

  • To erase a file partition, select the partition and click Erase.

  • To leave a file partition intact, select the partition and click No Change.

  2. When finished, click Next.

  3. (Optional) To save the installation as a Lantronix installation file (.lxi), click Save Installation.

  4. Click Next to continue the installation, or click Cancel to exit without the actual device upgrade.

If you continue the installation, the Device Upgrade Wizard window displays the status and result of the upgrade.

Note: Green indicates a successful installation; blue indicates that the IP address has changed.

  4. Click Close to exit.

See also

Upgrade Firmware Overview

Upgrade Using an Existing Installation File

Install Setup Records


View Device Details

You can use DeviceInstaller to view some of a device's current configuration settings.

Note: For a complete list of the device's configuration, please access either the Web or Telnet interface and consult the User Guide for the device.

To view some of a device's configuration settings

  1. To view details about the device, you have the following options:

    • In the device list, double-click the device.

    • In the left pane of the window, open all levels of the hierarchy for the device type and select the device.

The Device Details tab and the list of properties (settings) display.

Note: For information about the settings, see the User Guide for the device.

  2. To view another device, in the left pane of the window, open all levels of the device type hierarchy and select the device.

See also

Search for All Device Servers on the Network

Add a Device Server to the List


View Setup Records

View Setup Record

You can view the contents of a setup record.

To view a setup record:

  1. From the View menu, select Setup Record File.

  2. Browse and select the desired setup record. The setup record displays.

See also

Save Setup Records

Install Setup Records


DeviceInstaller

Your browser does not support frames. We recommend that you update your browser to a version that supports frames.

To view the Help system without frames click on thishyperlink.


About WebHelp

Macromedia

Copyright © 1992 - 2004, eHelp Corporation

Author Macromedia

Powered by WebHelp 5.50
Generated by Adobe RoboHelp 11.0
www.adobe.com


WebHelp 5.50

WebHelp 5.50 System Info

Start Page | deviceinstaller.htm
Skin Name | Default
Generating Time | 19:35 03/05/2018
Language ID | 1033
Compile Script | webhelp5_compile_script.xml
Compile Build Version | 11.0.4.291
Product Name | WebHelp 5.50
Authoring Tool Name | Adobe RoboHelp 11.0


Search Words List

' 1 2 3 4 5 6 7 8 9

( 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22

) 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22

, 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32

- 1 2 3 4 5 6 7 8 9 10 11

/ 1 2 3 4 5 6 7 8 9 10

: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33

; 1 2 3 4

<

=

> 1 2 3 4 5

?

a 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32
aaa
able
about
accept
access 1 2 3 4 5
across
action
activate
actual 1 2
adapter 1 2
add 1 2 3 4 5 6 7 8
adddevicelist_yyyy_mm_dd_hh
adding
address 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18
addresses 1 2 3 4 5 6
administrator
advanced
after 1 2 3 4 5
again
all 1 2 3 4 5 6 7 8 9 10 11 12
allow 1 2 3
also 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34
alternative
an 1 2 3 4 5 6 7 8 9 10 11 12 13
and 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31
another 1 2 3
any
applicable 1 2 3 4
applies
apply 1 2 3 4 5 6 7
appropriate
archive
are 1 2 3 4 5 6 7 8 9 10 11 12 13 14
area 1 2 3
arrow
as 1 2 3 4 5 6 7 8 9 10 11 12 13
assign 1 2 3 4 5 6
assign_ip_icon 1 2
assignment 1 2 3
assist

>>


Search Words List

<<

at 1 2 3 4 5
attempt 1 2 3 4 5
auto 1 2 3
automatically 1 2 3 4 5 6
available 1 2 3 4 5
a’s

b
bar 1 2
base 1 2
basename
batch
bbb
be 1 2 3 4 5 6 7 8 9
because
been 1 2
before 1 2 3 4 5 6
behavior 1 2 3
being 1 2
below
best
between
binary
blank
blue 1 2 3
bottom
box 1 2 3 4 5
broadcasting
browse 1 2 3 4 5 6 7 8
browser
but
button 1 2 3 4 5 6 7
by 1 2 3 4 5 6 7 8 9 10 11 12 13
bytes
b’s

c
cable
calculator 1 2
can 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22
cancel 1 2
capability 1 2
case
category
ccc
change 1 2 3 4 5 6 7 8
check 1 2 3 4 5 6 7 8
checkbox 1 2
checkboxes
choose 1 2
chosen
class
classes
clear 1 2 3
click 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29
client
close 1 2 3 4 5 6 7 8 9 10
cloud 1 2
cmd 1 2
cob 1 2
cobox
com 1 2
comma
command 1 2 3
comments
communicate
communication 1 2
completing 1 2 3 4 5 6 7
complex
config
configuration 1 2 3 4 5 6 7 8
configure 1 2 3 4 5 6 7 8 9 10 11
confirm
confirmation
connect 1 2
connection
consult 1 2 3
contact
containing 1 2
contents 1 2
continue 1 2 3
convention 1 2 3
correct 1 2 3
create 1 2 3 4
credentials 1 2 3 4
current 1 2 3 4 5
custom 1 2
customization 1 2 3 4
customize 1 2 3 4
customize_logging
c’s

dangerous
data
ddd
decimal
defaults 1 2 3 4 5 6 7
denote
designed
desired 1 2 3
details 1 2 3 4 5 6 7
detecting
determine
determines
device 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33
deviceinstaller 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
devices 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22
devices1
device’s

>>


Search Words List

<<

diagnostics 1 2 3 4 5
dialog 1 2 3
different 1 2 3 4 5
directory
disable 1 2
discovery
displays 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28
do 1 2 3 4
documentation
does 1 2 3 4 5
dot
double
down 1 2
download 1 2 3 4 5 6
drop
during
d’s

e
each 1 2 3 4
edi
either 1 2
enable 1 2 3 4
enough
ensure 1 2
ensures
enter 1 2 3 4 5 6 7 8 9 10 11
entire
erase
event
example 1 2 3
examples
exist 1 2 3 4
exit 1 2 3 4 5 6 7 8
expand
experienced
explorer
extension 1 2
external

facilitates
fails 1 2 3 4 5
failure
familiar
feature
features
feedback
field 1 2 3
file 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
filename
files 1 2 3 4 5 6 7 8 9
find 1 2 3
finish 1 2 3
firmware 1 2 3 4 5 6
first 1 2 3
fl
flash
folder 1 2
follow 1 2 3 4 5 6 7 8 9 10
for 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29
form
format
found
four
fourth
freeware 1 2
from 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28
functional
further
fwx 1 2

gateways 1 2 3 4 5 6
gateway’s
general
generate 1 2
generates 1 2
gif 1 2 3
global 1 2 3 4
go 1 2 3
google 1 2
green 1 2 3
group 1 2
guide 1 2 3 4 5

half
hardware 1 2 3 4
has 1 2 3 4 5 6 7
have 1 2 3 4 5 6 7
help 1 2
hierarchy 1 2
highlight 1 2
home
how 1 2 3 4

i
icons 1 2 3 4 5
id 1 2
identification 1 2
identified
identify 1 2
ids

>>


Search Words List

<<

if 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18
images 1 2 3 4 5 6
importing 1 2 3 4
in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24
includes
including 1 2 3
increments
indicates 1 2 3 4 5 6 7
indicating 1 2
individual 1 2 3 4 5
information 1 2 3 4 5 6 7 8 9
install 1 2 3 4 5
installation 1 2 3 4 5
installer 1 2
installing
instead
instructions 1 2
intact
interface 1 2 3
intermediate
internet 1 2
into 1 2 3 4 5 6
ip 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18
ipconfig 1 2
is 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21
issue 1 2
it 1 2 3 4 5 6 7 8 9 10
items
its 1 2 3
it’s

jpg 1 2 3

knowledge
known

label 1 2
lan
lantronix 1 2 3 4 5 6 7 8
last
later 1 2
latest
latter
leading
leave 1 2 3 4 5
left 1 2
less
letters
levels
like 1 2
limit
list 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26
loading
local 1 2
located 1 2 3 4 5 6 7 8 9 10
location 1 2 3 4 5
log 1 2 3 4 5 6
login 1 2 3 4
login”
longer
lower 1 2
lxi 1 2 3 4

mach10
made
mail
make
management 1 2
manager
manually 1 2 3 4 5 6
many
mask 1 2 3
match
max
maximum
may 1 2 3 4 5 6 7
meaning
megabytes
memory
menu 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21
message 1 2 3 4
messages
method 1 2 3
mm 1 2
model 1 2 3
moments
more 1 2 3 4 5 6
multiple 1 2 3 4
must 1 2 3 4 5 6

>>


Search Words List

<<

name 1 2 3 4 5 6 7 8 9
navigate
need 1 2
network 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
new 1 2 3
next 1 2 3 4 5 6 7
no 1 2 3 4 5
node
notation
note 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22
notepad
notes
notice
nstall
numbers 1 2 3 4 5 6

obtain 1 2 3 4
occurs 1 2
octets 1 2
of 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27
off
offer
ok 1 2 3 4 5 6 7 8 9
on 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22
one 1 2 3 4 5 6
online 1 2
only 1 2
onto
open 1 2 3 4 5 6 7 8 9 10 11 12 13 14
operating
optional 1 2 3
options 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
or 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18
other 1 2 3
over
overview 1 2 3 4 5 6 7 8 9 10 11 12 13

page 1 2 3 4
pages
pane 1 2
parameters
part 1 2
partial
particular
partitions
password 1 2 3 4 5 6
path 1 2 3
pc 1 2 3 4
pc’s 1 2
per
perform
ping
please 1 2 3
point
port 1 2
power 1 2
pre
press
preview
previous 1 2 3 4
previously 1 2 3
primary 1 2
print 1 2 3
problem
procedures
proceed
process
products 1 2 3 4
program 1 2 3
progress 1 2 3
prompt 1 2 3 4 5 6 7 8 9 10
properties
protocols 1 2
provide
provisioning 1 2

quad

r3
ram
randomly
raw
reaches
reboots 1 2
recommend 1 2
record 1 2 3 4 5
recover
recovery
red
refer 1 2
regarding
regions
removed 1 2
repeat
replace
reported 1 2
require 1 2 3
reset 1 2 3
resides
resolve 1 2 3
response
restored 1 2 3
results 1 2 3 4
retained

>>


Search Words List

<<

rfc791
rfc950
right
rom 1 2 3
router 1 2
run 1 2 3

s 1 2 3 4 5 6 7 8 9
same 1 2 3 4 5 6
save 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
scheduled
screen
sdb
sds
search 1 2 3 4 5 6 7 8 9 10 11 12 13 14
search_con
searches 1 2
seconds 1 2 3 4 5
section 1 2 3
see 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34
segment
select 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30
separated 1 2
serial
serialnumber
series
servers 1 2 3 4 5 6 7 8 9
service 1 2
settings 1 2 3 4 5 6 7 8 9 10 11 12
setup 1 2 3 4 5
several 1 2
should 1 2 3 4
shown 1 2
single 1 2
size
skip
so 1 2
some 1 2 3 4 5 6
spb
specific 1 2 3 4 5 6
specified 1 2 3
specify 1 2 3 4 5 6 7
speed
ss 1 2
start 1 2 3
state
static 1 2
status 1 2 3 4 5 6
step 1 2 3
stored 1 2 3
submit
subnets 1 2 3 4
successful 1 2 3 4
such 1 2
support 1 2 3 4 5
sure
syntax
system

tab 1 2 3 4 5 6 7
table
take 1 2
tcp 1 2 3 4 5 6
tdi
tdi”
technical
telnet 1 2 3
temporarily
text 1 2 3
than 1 2 3
that 1 2 3 4 5 6 7 8 9 10 11 12 13
the 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34
their
them 1 2
then
there 1 2 3 4
these 1 2
they
third
this 1 2 3 4 5 6 7 8 9 10 11
three 1 2
through 1 2
time 1 2
times

>>


Search Words List

<<

to 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34
toggle
tool 1 2 3 4 5 6 7 8 9 10 11
toolbar 1 2 3
top 1 2
tree 1 2
trying
tutorial 1 2 3 4 5 6
two 1 2 3 4 5
type 1 2 3 4 5 6 7 8 9 10
types 1 2
typical

uds
unavailable 1 2
under
understand
unicast
unique
unit 1 2 3 4
up
update 1 2 3
updates 1 2
upgrade_icon 1 2 3
upgrades 1 2
upgrading 1 2 3 4 5 6
upon 1 2
use 1 2 3 4 5 6 7 8 9 10 11 12 13 14
user 1 2 3 4 5 6 7 8
username 1 2 3 4
using 1 2 3 4 5 6 7 8 9 10 11 12 13 14
utility

v6
valid 1 2
value
values 1 2 3
various
verify
version 1 2
views 1 2 3 4 5 6 7 8

wait 1 2 3
want 1 2 3 4 5
warning 1 2 3 4
was 1 2 3 4
ways 1 2 3
we 1 2
web 1 2 3 4
website
well 1 2
what
when 1 2 3 4 5 6 7 8 9 10 11 12 13
where 1 2 3 4
whether 1 2
which 1 2
whichever
while 1 2 3 4
why
wibox
will 1 2 3 4 5
window 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18
wiport
with 1 2 3 4 5 6 7 8 9 10 11 12 13
within 1 2
without 1 2
wizard 1 2 3
would
write
www 1 2

xcr
xml
xp 1 2
xport 1 2
xpress
xxx 1 2
xxxx
x’s 1 2

you 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25
your 1 2 3 4 5 6 7 8 9

zeros

–

“adddevicelist_yyyy_mm_dd_hh
“prompt


Search Words letter

^ A AA AB AC AD AF AG AL AN AP AR AS AT AU AV A’ ^


Search Words letter

^ B BA BB BE BI BL BO BR BU BY B’ ^


Search Words letter

^ C CA CC CH CL CM CO CR CU C’ ^


Search Words letter

^ DA DD DE DI DO DR DU D’ ^


Search Words letter

^ E EA ED EI EN ER EV EX ^


Search Words letter

^ FA FE FI FL FO FR FU FW ^


Search Words letter

^ GA GE GI GL GO GR GU ^


Search Words letter

^ HA HE HI HO ^


Search Words letter

^ I IC ID IF IM IN IP IS IT ^


Search Words letter

^ LA LE LI LO LX ^


Search Words letter

^ MA ME MM MO MU ^


Search Words letter

^ NA NE NO NS NU ^


Search Words letter

^ OB OC OF OK ON OP OR OT OV ^


Search Words letter

^ PA PC PE PI PL PO PR ^


Search Words letter

^ R3 RA RE RF RI RO RU ^


Search Words letter

^ S SA SC SD SE SH SI SK SO SP SS ST SU SY ^


Search Words letter

^ TA TC TD TE TH TI TO TR TU TW TY ^


Search Words letter

^ UD UN UP US UT ^


Search Words letter

^ V6 VA VE VI ^


Search Words letter

^ WA WE WH WI WO WR WW ^


Search Words letter

^ XC XM XP XX X’ ^


Content

Overview
Devices
IP Addresses
Configuration Methods
Firmware Upgrades
Provisioning Devices
Customization


Content

Overview
Devices
Choose the Network Adapter for Communication
Search for All Device Servers on the Network
Change Views
Add a Device to the List
View Device Details
Device Lists
Check Device Diagnostics
Reset
IP Addresses
Configuration Methods
Firmware Upgrades
Provisioning Devices
Customization


Content

Overview
Devices
Choose the Network Adapter for Communication
Search for All Device Servers on the Network
Change Views
Add a Device to the List
View Device Details
Device Lists
Save the Device List
Open the Device List
Print the Device List
Check Device Diagnostics
Reset
IP Addresses
Configuration Methods
Firmware Upgrades
Provisioning Devices
Customization


Content

Overview
Devices
IP Addresses
Set IP Address Manually
Set IP Address Automatically
Enter User Id and Password (if applicable)
TCP/IP and Subnetting Tutorial
Configuration Methods
Firmware Upgrades
Provisioning Devices
Customization


Content

Overview
Devices
IP Addresses
Set IP Address Manually
Set IP Address Automatically
Enter User Id and Password (if applicable)
TCP/IP and Subnetting Tutorial
TCP/IP Tutorial Overview
Subnets
Auto IP Addresses
Configuration Methods
Firmware Upgrades
Provisioning Devices
Customization


Content

Overview
Devices
IP Addresses
Configuration Methods
Access the Web Interface
Access Telnet
Firmware Upgrades
Provisioning Devices
Customization


Content

Overview
Devices
IP Addresses
Configuration Methods
Firmware Upgrades
Upgrade Firmware Overview
Upgrade Using Individual Files
Upgrade Using an Existing Installation File
Setup Records
Recover Firmware
Provisioning Devices
Customization


Content

Overview
Devices
IP Addresses
Configuration Methods
Firmware Upgrades
Upgrade Firmware Overview
Upgrade Using Individual Files
Upgrade Using an Existing Installation File
Setup Records
Save Setup Records
View Setup Records
Install Setup Records
Recover Firmware
Provisioning Devices
Customization


Content

Overview
Devices
IP Addresses
Configuration Methods
Firmware Upgrades
Provisioning Devices
Generate Device File
Import Provisioning File
Enter Global Credentials
Configuration Update
Customization


Content

Overview
Devices
IP Addresses
Configuration Methods
Firmware Upgrades
Provisioning Devices
Customization
Customize Logging
Display a Warning
Customize the Category Name
Customize Reboots


Search Letters

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z